Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.tree
Class MeshPartCreator

    java.lang.Object
      net.sourceforge.arbaro.tree.MeshPartCreator

All Implemented Interfaces:
  StemTraversal

public class MeshPartCreator
extends java.lang.Object
implements StemTraversal

Creates a MeshPart for a Stem

Author:
  wolfram

Constructor Summary
`MeshPartCreator(boolean useQuads)`

Method Summary
`boolean` | `enterSegment(Segment segment)`
`boolean` | `enterStem(Stem stem)`
`MeshPart` | `getMeshPart()`
`boolean` | `leaveSegment(Segment segment)`
`boolean` | `leaveStem(Stem stem)`
`boolean` | `visitSubsegment(Subsegment ss)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeshPartCreator

    public MeshPartCreator(boolean useQuads)

Method Detail

### getMeshPart

    public MeshPart getMeshPart()

### enterSegment

    public boolean enterSegment(Segment segment)
                         throws TraversalException

  Specified by:
    `enterSegment` in interface `StemTraversal`
  Throws:
    `TraversalException`

### enterStem

    public boolean enterStem(Stem stem)
                      throws TraversalException

  Specified by:
    `enterStem` in interface `StemTraversal`
  Throws:
    `TraversalException`

### leaveSegment

    public boolean leaveSegment(Segment segment)
                         throws TraversalException

  Specified by:
    `leaveSegment` in interface `StemTraversal`
  Throws:
    `TraversalException`

### leaveStem

    public boolean leaveStem(Stem stem)
                      throws TraversalException

  Specified by:
    `leaveStem` in interface `StemTraversal`
  Throws:
    `TraversalException`

### visitSubsegment

    public boolean visitSubsegment(Subsegment ss)
                            throws TraversalException

  Specified by:
    `visitSubsegment` in interface `StemTraversal`
  Throws:
    `TraversalException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD